import Vue from 'vue'
import Router from 'vue-router'


Vue.use(Router)

export default new Router({
    mode: 'hash',
    base: process.env.BASE_URL,

    routes: [{
        path: '/',
        name: '系统列表',
        component: () =>
            import ('../views/Home.vue'),
        hidden: false,
        children: [{
                path: '/coal_mining',
                name: ' 采煤工作面',
                id: 100,
                component: () =>
                    import ('../views/mining/mining.vue'),
                hidden: false,

            }, {
                path: '/coalcutter',
                name: ' 采煤机页面',
                id: 1001,
                component: () =>
                    import ('../views/mining/coalcutter.vue'),
                hidden: true,
            }, {
                path: '/main_pump',
                name: ' 采煤机本体页面',
                id: 1002,
                component: () =>
                    import ('../views/mining/main_pump.vue'),
                hidden: true,
            }, {
                path: '/miningdataQualityDevice',
                name: ' 设备',
                id: 1003,
                component: () =>
                    import ('../views/mining/dataStandard/dataQualityDevice.vue'),
                hidden: true,
            },
            {
                id: 1004,
                name: '子设备',
                path: '/miningdataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/mining/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1005,
                name: '测点',
                path: '/miningdataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/mining/dataStandard/dataQualityMeasurePoint.vue'),
            },
            {
                path: '/tunnelling',
                name: ' 掘进工作面',
                id: 101,
                component: () =>
                    import ('../views/tunnelling/tunnelling.vue'),
                hidden: false,

            }, 
            {
                path: '/tunneldataQualityDevice',
                name: ' 设备',
                id: 1010,
                component: () =>
                    import ('../views/tunnelling/dataStandard/dataQualityDevice.vue'),
                hidden: true,
            },
            {
                id: 1011,
                name: '子设备',
                path: '/tunneldataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/tunnelling/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1012,
                name: '测点',
                path: '/tunneldataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/tunnelling/dataStandard/dataQualityMeasurePoint.vue'),
            },{
                path: '/monitor',
                name: ' 安全监控',
                id: 102,
                component: () =>
                    import ('../views/monitor/monitor.vue'),
                hidden: false,

            }, {
                path: '/checkSubSys',
                name: '查看子系统',
                id: 1020,
                hidden: true,
                component: () =>
                    import ('../views/monitor/checkSubSys.vue')
            }, {
                path: '/checkCheckPoint',
                name: '查看测点数据',
                id: 1021,
                hidden: true,
                component: () =>
                    import ('../views/monitor/checkCheckPoint.vue')
            }, {
                path: '/monitorDetail',
                name: '查看测点数据',
                id: 1022,
                hidden: true,
                component: () =>
                    import ('../views/monitor/detail.vue')
            }, {
                path: '/monitorThreshold',
                name: '查看超标数据',
                id: 1024,
                hidden: true,
                component: () =>
                    import ('../views/monitor/monitorThreshold.vue')
            }, {
                id: 1025,
                name: '设备',
                path: '/monitordataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/monitor/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1026,
                name: '子设备',
                path: '/monitordataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/monitor/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1027,
                name: '测点',
                path: '/monitordataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/monitor/dataStandard/dataQualityMeasurePoint.vue'),
            }, {
                path: '/transportation',
                name: ' 主运输系统',
                id: 103,
                component: () =>
                    import ('../views/transportation/transportation.vue'),
                hidden: false,
            }, {
                path: '/coalCentral',
                name: ' 煤中央皮带',
                id: 1030,
                component: () =>
                    import ('../views/transportation/subSystem/coalCentral.vue'),
                hidden: true,
            },
            {
                path: '/belt_body',
                name: ' 皮带本体',
                id: 10300,
                component: () =>
                    import ('../views/transportation/subSystem/belt_body.vue'),
                hidden: true,
            },
            {
                path: '/detail',
                name: ' 详细信息',
                id: 103001,
                component: () =>
                    import ('../views/transportation/subSystem/beltbody/detail.vue'),
                hidden: true,
            },
            {
                path: '/threshold',
                name: ' 超出阈值',
                id: 103002,
                component: () =>
                    import ('../views/transportation/subSystem/threshold.vue'),
                hidden: true,
            },
            {
                path: '/mainAdit',
                name: ' 主平硐皮带',
                id: 1031,
                component: () =>
                    import ('../views/transportation/subSystem/mainAdit.vue'),
                hidden: true,
            },
            {
                path: '/warehouse',
                name: ' 上仓皮带',
                id: 1032,
                component: () =>
                    import ('../views/transportation/subSystem/warehouse.vue'),
                hidden: true,
            }, {
                path: '/ventilate',
                name: ' 通风系统',
                id: 104,
                component: () =>
                    import ('../views/ventilate/ventilate.vue'),
                hidden: false,

            },
            {
                path: '/venDataDetail',
                name: ' 通风系统系统数据',
                id: 1041,
                component: () =>
                    import ('../views/ventilate/venDataDetail.vue'),
                hidden: true,

            },
            {
                path: '/firstVentilator',
                name: ' 一号通风机',
                id: 1040,
                component: () =>
                    import ('../views/ventilate/firstVentilator.vue'),
                hidden: true,

            }, 
            {
                id: 1042,
                name: '设备',
                path: '/vendataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/ventilate/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1043,
                name: '子设备',
                path: '/vendataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/ventilate/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1044,
                name: '测点',
                path: '/vendataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/ventilate/dataStandard/dataQualityMeasurePoint.vue'),
            },{
                path: '/compressed',
                name: ' 压风系统',
                id: 105,
                component: () =>
                    import ('../views/compressed/compressed.vue'),
                hidden: false,

            }, {
                path: '/drain',
                name: ' 主排水系统',
                id: 106,
                component: () =>
                    import ('../views/drain/drain.vue'),
                hidden: false,
            },
            {
                id: 1060,
                name: '设备',
                path: '/draindataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/drain/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1061,
                name: '子设备',
                path: '/draindataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/drain/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1062,
                name: '测点',
                path: '/draindataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/drain/dataStandard/dataQualityMeasurePoint.vue'),
            },
            {
                path: '/power_supply',
                name: ' 供电系统',
                id: 107,
                component: () =>
                    import ('../views/power_supply/power.vue'),
                hidden: false,

            },
            {
                id: 1070,
                name: '设备',
                path: '/powerdataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/power_supply/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1071,
                name: '子设备',
                path: '/powerdataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/power_supply/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1072,
                name: '测点',
                path: '/powerdataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/power_supply/dataStandard/dataQualityMeasurePoint.vue'),
            },
            
            {
                path: '/auxiliary_transport',
                name: ' 辅运输系统',
                id: 108,
                component: () =>
                    import ('../views/auxiliary_transport/auxiliarytrans.vue'),
                hidden: false,

            },
            {
                id: 1080,
                name: '设备',
                path: '/auxdataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/auxiliary_transport/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1081,
                name: '子设备',
                path: '/auxdataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/auxiliary_transport/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1082,
                name: '测点',
                path: '/auxdataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/auxiliary_transport/dataStandard/dataQualityMeasurePoint.vue'),
            }, {
                path: '/beam_tube',
                name: ' 束管检测',
                id: 109,
                component: () =>
                    import ('../views/beam_tube/beam.vue'),
                hidden: false,
            },
            {
                id: 1090,
                name: '设备',
                path: '/beamdataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/beam_tube/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1091,
                name: '子设备',
                path: '/beamdataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/beam_tube/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1092,
                name: '测点',
                path: '/beamdataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/beam_tube/dataStandard/dataQualityMeasurePoint.vue'),
            },
            {
                path: '/gas',
                name: ' 瓦斯抽放设备',
                id: 110,
                component: () =>
                    import ('../views/gas/gas.vue'),
                hidden: false,

            }, {
                id: 1100,
                name: '设备',
                path: '/gasdataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/gas/dataQualityDevice.vue'),
                
            }, {
                id: 1101,
                name: '子设备',
                path: '/gasdataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/gas/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1102,
                name: '测点',
                path: '/gasdataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/gas/dataQualityMeasurePoint.vue'),
            },
            {
                path: '/dataDetail',
                name: 'dataDetail_chart',
                id: 1104,
                component: () =>
                    import ('../views/gas/dataDetail.vue'),
                hidden: true,

            }, {
                path: '/gasCheckPoint',
                name: ' 瓦斯抽放测点',
                id: 1105,
                component: () =>
                    import ('../views/gas/gasCheckPoint.vue'),
                hidden: true,

            }, {
                path: '/personnel_location',
                name: ' 人员定位',
                id: 111,
                component: () =>
                    import ('../views/personnel_location/location.vue'),
                hidden: false,

            },{
                id: 1110,
                name: '设备',
                path: '/persondataQualityDevice',
                hidden: true,
                component:() =>
                import ('../views/personnel_location/dataStandard/dataQualityDevice.vue'),
                
            }, {
                id: 1111,
                name: '子设备',
                path: '/persondataQualitySubdevice',
                hidden: true,
                component:() =>
                import ('../views/personnel_location/dataStandard/dataQualitySubdevice.vue'),
                 
            }, {
                id: 1112,
                name: '测点',
                path: '/persondataQualityMeasurePoint',
                hidden: true,
                component: () =>
                import ('../views/personnel_location/dataStandard/dataQualityMeasurePoint.vue'),
            },
            {
                id: 112,
                name: '术语表',
                path: '/term',
                hidden: false,
                component: () =>
                import ('../views/term/term.vue'),
            },
        ]
    }, {
        path: '/',
        name: '应用列表',
        component: () =>
            import ('../views/Home.vue'),
        hidden: false,
        children: [{
            path: '/belt_coal_quantity',
            name: '皮带煤量',
            id: 200,
            component: () =>
                import ('../views/app_belt_coal_quantity/beltCoalQuantity.vue'),
            hidden: false,
        }, {
            path: '/safety_monitoring',
            name: '安全监测',
            id: 201,
            component: () =>
                import ('../views/app_safety_monitoring/safetyMonitoring.vue'),
            hidden: false,
        }, {
            path: '/hazard_warning',
            name: '危险源预警',
            id: 202,
            component: () =>
                import ('../views/app_hazard_warning/hazardWarning.vue'),
            hidden: false,
        }, {
            path: '/beam_tube_inspection',
            name: '束管检测',
            id: 203,
            component: () =>
                import ('../views/app_beam_tube_inspection/beamTubeInspection.vue'),
            hidden: false,
        }, {
            path: '/hydrological_monitoring',
            name: '水文监测',
            id: 204,
            component: () =>
                import ('../views/app_hydrological_monitoring/hydrologicalMonitoring.vue'),
            hidden: false,
        }, {
            path: '/mine_pressure_monitoring',
            name: '矿压监测',
            id: 205,
            component: () =>
                import ('../views/app_mine_pressure_monitoring/minePressureMonitoring.vue'),
            hidden: false,
        }, {
            path: '/risk_monitoring',
            name: '风险监控',
            id: 206,
            component: () =>
                import ('../views/app_risk_monitoring/riskMonitoring.vue'),
            hidden: false,
        }, {
            path: '/personnel_positioning',
            name: '人员定位',
            id: 207,
            component: () =>
                import ('../views/app_personnel_positioning/personnelPositioning.vue'),
            hidden: false,
        }, {
            path: '/area_monitoring',
            name: '区域监控',
            id: 208,
            component: () =>
                import ('../views/app_area_monitoring/areaMonitoring.vue'),
            hidden: false,
        }, {
            path: '/industrial_video',
            name: '工业视频',
            id: 209,
            component: () =>
                import ('../views/app_industrial_video/industrialVideo.vue'),
            hidden: false,
        }]
    }]
})